%define majver %(echo %version | cut -d. -f1-2)

Name:          kdesu
Version:       5.115.0
Release:       1mamba
Summary:       KDE Frameworks 5 User interface for running shell commands with root privileges
Group:         Graphical Desktop/Applications/Administration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        http://download.kde.org/stable/frameworks/%{majver}/kdesu-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkpty-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
User interface for running shell commands with root privileges.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name} -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Su.so.*
%{_libexecdir}/kf5/kdesu_stub
%{_libexecdir}/kf5/kdesud
%{_datadir}/qlogging-categories5/ksu.categories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KDESu
%dir %{_kde5_includedir}/KDESu/KDESu
%{_kde5_includedir}/KDESu/KDESu/*
%dir %{_kde5_includedir}/KDESu/kdesu
%{_kde5_includedir}/KDESu/kdesu/*
%{_kde5_includedir}/KDESu/kdesu_version.h
%dir %{_kde5_libdir}/cmake/KF5Su
%{_kde5_libdir}/cmake/KF5Su/KF5Su*.cmake
%{_kde5_libdir}/libKF5Su.so
%{_kde5_mkspecsdir}/qt_KDESu.pri

%changelog
* Mon Feb 12 2024 Automatic Build System <autodist@openmamba.org> 5.115.0-1mamba
- automatic version update by autodist

* Sat Jan 13 2024 Automatic Build System <autodist@openmamba.org> 5.114.0-1mamba
- automatic version update by autodist

* Mon Dec 18 2023 Automatic Build System <autodist@mambasoft.it> 5.113.0-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Automatic Build System <autodist@mambasoft.it> 5.112.0-1mamba
- automatic version update by autodist

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 5.111.0-1mamba
- automatic version update by autodist

* Mon Sep 11 2023 Automatic Build System <autodist@mambasoft.it> 5.110.0-1mamba
- automatic version update by autodist

* Sat Aug 19 2023 Automatic Build System <autodist@mambasoft.it> 5.109.0-1mamba
- automatic version update by autodist

* Mon Jul 10 2023 Automatic Build System <autodist@mambasoft.it> 5.108.0-1mamba
- automatic version update by autodist

* Tue Jun 13 2023 Automatic Build System <autodist@mambasoft.it> 5.107.0-1mamba
- automatic version update by autodist

* Fri May 19 2023 Automatic Build System <autodist@mambasoft.it> 5.106.0-1mamba
- automatic version update by autodist

* Mon Apr 10 2023 Automatic Build System <autodist@mambasoft.it> 5.105.0-1mamba
- automatic version update by autodist

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 5.104.0-1mamba
- automatic version update by autodist

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 5.103.0-1mamba
- automatic version update by autodist

* Mon Jan 16 2023 Automatic Build System <autodist@mambasoft.it> 5.102.0-1mamba
- automatic version update by autodist

* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 5.101.0-1mamba
- automatic version update by autodist

* Wed Nov 16 2022 Automatic Build System <autodist@mambasoft.it> 5.100.0-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 5.99.0-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 5.98.0-1mamba
- automatic version update by autodist

* Wed Aug 17 2022 Automatic Build System <autodist@mambasoft.it> 5.97.0-1mamba
- automatic version update by autodist

* Mon Jul 11 2022 Automatic Build System <autodist@mambasoft.it> 5.96.0-1mamba
- automatic version update by autodist

* Tue Jun 14 2022 Automatic Build System <autodist@mambasoft.it> 5.95.0-1mamba
- automatic version update by autodist

* Sun May 15 2022 Automatic Build System <autodist@mambasoft.it> 5.94.0-1mamba
- automatic version update by autodist

* Sun Apr 10 2022 Automatic Build System <autodist@mambasoft.it> 5.93.0-1mamba
- automatic version update by autodist

* Mon Mar 14 2022 Automatic Build System <autodist@mambasoft.it> 5.92.0-1mamba
- automatic version update by autodist

* Tue Feb 15 2022 Automatic Build System <autodist@mambasoft.it> 5.91.0-1mamba
- automatic version update by autodist

* Sun Jan 09 2022 Automatic Build System <autodist@mambasoft.it> 5.90.0-1mamba
- automatic version update by autodist

* Sat Dec 18 2021 Automatic Build System <autodist@mambasoft.it> 5.89.0-1mamba
- automatic version update by autodist

* Sat Nov 13 2021 Automatic Build System <autodist@mambasoft.it> 5.88.0-1mamba
- automatic version update by autodist

* Tue Oct 12 2021 Automatic Build System <autodist@mambasoft.it> 5.87.0-1mamba
- automatic version update by autodist

* Mon Sep 13 2021 Automatic Build System <autodist@mambasoft.it> 5.86.0-1mamba
- automatic version update by autodist

* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 5.85.0-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Automatic Build System <autodist@mambasoft.it> 5.84.0-1mamba
- automatic version update by autodist

* Mon Jun 14 2021 Automatic Build System <autodist@mambasoft.it> 5.83.0-1mamba
- automatic version update by autodist

* Sun May 09 2021 Automatic Build System <autodist@mambasoft.it> 5.82.0-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 5.81.0-1mamba
- automatic version update by autodist

* Sun Mar 14 2021 Automatic Build System <autodist@mambasoft.it> 5.80.0-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 5.79.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 5.78.0-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 5.77.0-1mamba
- automatic version update by autodist

* Mon Nov 16 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Thu Sep 17 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Thu Aug 13 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Tue Jul 14 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Mon Apr 13 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Tue Feb 11 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 5.66.0-1mamba
- automatic version update by autodist

* Mon Dec 23 2019 Automatic Build System <autodist@mambasoft.it> 5.65.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 5.64.0-1mamba
- automatic version update by autodist

* Sun Oct 20 2019 Automatic Build System <autodist@mambasoft.it> 5.63.0-1mamba
- automatic version update by autodist

* Mon Sep 16 2019 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Sun Jul 21 2019 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Wed Jun 12 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Fri Apr 19 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Tue Mar 12 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Sat Feb 16 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Sat Jan 19 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Sun Dec 16 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sun Nov 18 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Sun Oct 21 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Mon Sep 10 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Tue Aug 21 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Mon Jul 16 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Wed May 16 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Wed Feb 28 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Sun Jan 21 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Mon Oct 23 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Tue Sep 12 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Fri Mar 17 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Wed Mar 08 2017 Automatic Build System <autodist@mambasoft.it> 5.31.0-1mamba
- automatic version update by autodist

* Tue Jan 24 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Tue Dec 20 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Mon Sep 26 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Mon Aug 22 2016 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sat Jun 25 2016 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Wed May 25 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Sun Feb 21 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.0-1mamba
- update to 5.18.0

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.17.0-1mamba
- package created using the webbuild interface
